const express = require('express');
const router = express.Router();

router.get('/', (req, res) => res.render('index'));

router.get('/basics', (req, res) => res.render('basics'));

router.get('/import-export', (req, res) => res.render('import-export'));

router.get('/debug', (req, res) => res.render('debug'));

router.get('/work-poc', (req, res) => res.render('work-poc'));

router.get('/pentest', (req, res) => {
    res.set('Content-Security-Policy', "default-src 'self'; script-src 'self'; style-src 'self'; img-src 'self'; font-src 'self'; connect-src 'self'");
    res.render('pentest');
});

router.get('/about', (req, res) => {
    res.set('Content-Security-Policy', "frame-ancestors 'none'");
    res.render('about');
});

module.exports = router;
